
:root{
    --color: black;
    --background_color: rgb(240, 215, 174);
    --border_color: rgb(240, 215, 174);
}

*{
    font-family: Arial, Helvetica, sans-serif;
    /* color: var(--color); */
    /* background-color: var(--background_color); */
    border: 0;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    /* font-size: x-large; */
}
html{
    scrollbar-width: thin;
    scrollbar-color: var(--border_color) transparent;
    scroll-behavior: smooth;
}
*::-webkit-scrollbar-thumb:hover {
    /* background-color: var(--color); */
}
*::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}
*::-webkit-scrollbar-track {
    background: var(--background_color);
    background: transparent;
}
*::-webkit-scrollbar-thumb {
    background-color: var(--border_color);
    border-radius: 20px;
    border: 3px solid var(--background_color);
}
*::-webkit-scrollbar-corner {
    background: var(--background_color);
}

::-moz-selection { /* Code for Firefox */
    color: var(--background_color);
    background-color: var(--color);
}

::selection {
    color: var(--background_color);
    background-color: var(--color);
}

body{
    background-image: url(images/background.webp);
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
    overflow: hidden;
}

a{
    cursor: pointer;
    color: black;
}

form input{
    width: 100%;
    max-width: 20rem;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    padding: 0.5rem;
    font-size: medium;
    border: 1px solid;
    border-radius: 0.5rem;
    background-color: rgb(239, 224, 198);
}

form input::placeholder{
    color: rgb(75, 74, 74);
}

form textarea{
    width: 100%;
    max-width: 20rem;
    height: 10rem;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    padding: 0.5rem;
    font-size: medium;
    border: 1px solid;
    border-radius: 0.5rem;
    background-color: rgb(239, 224, 198);
}

form textarea::placeholder{
    color: rgb(75, 74, 74);
}

form button{
    width: 100%;
    max-width: 20rem;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    padding: 0.5rem;
    font-size: medium;
    color: black;
    border: 1px solid;
    border-radius: 0.5rem;
    background-color: rgb(239, 224, 198);
    cursor: pointer;
}

form button:hover{
    background-color: rgb(224, 206, 176);
}

iframe{
    width: 100%;
    max-width: 50rem;
    border-radius: 0.5rem;
}

.background-picture{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 100vh;
    overflow: hidden;
}

.background-picture img{
    position: relative;
    top: 0;
    left: 0;
    height: 100vh;
    object-fit: cover;
    z-index: -1;
}

.main-container{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 1rem;
    height: 100vh;
    padding: 1rem;
    margin: auto;
    overflow: auto;
}

.header{
    width: 100%;
    max-width: 50rem;
    text-align: center;
    padding-top: 1.75rem;
    padding-bottom: 1.5rem;
    background-color: rgb(240, 215, 174);
    opacity: 0.9;
    border: none;
    border-radius: 0.5rem;
}

.header *{
    line-height: 0.5em;
}
    
.header h2{
    position: relative;
}
    
.header h3{
    font-size: 1.25rem;
}
    
.header img{
    display: inline;
    position: absolute;
    width: 3.5rem;
    bottom: -0.5rem;
}

.section{
    width: 100%;
    max-width: 50rem;
    text-align: center;
    padding: 1rem;
    background-color: rgb(240, 215, 174);
    opacity: 0.9;
    border: none;
    border-radius: 0.5rem;
}

.inline{
    display: inline;
}

.green{
    color: rgb(45, 71, 45);
}

.red{
    color: rgb(150, 50, 34);
}

.logo{
    display: block;
    margin: auto;
    aspect-ratio: 1;
    width: 10rem;
}

.auction-link{
    display: block;
    margin: 1rem;
    padding: 1rem;
    color: black;
    border: 1px solid black;
    border-radius: 0.5rem;
    text-decoration: none;
}

.auction-link:hover{
    text-decoration: underline;
    background-color: rgb(224, 206, 176);
}

.contact-container{
    width: 100%;
    max-width: 50rem;
    text-align: center;
    padding: 1rem;
    background-color: rgb(240, 215, 174);
    opacity: 0.9;
    border: none;
    border-radius: 0.5rem;
}

.left{
    text-align: left;
}

.spacer{
    height: 10rem;
    min-height: 10rem;
}

@media screen and (min-width: 480px) {
    .header h1{
        font-size: 2.5rem;
    }
    
    .header h2{
        font-size: 2rem;
    }
    
    .header h3{
        font-size: 1.75rem;
    }

    .header *{
        line-height: 0.7em;
    }
    
    /* .header img{
        bottom: -0.5rem;
    } */

    .spacer{
        height: 0;
        min-height: 0;
    }
  }